Bug 1312824 - referencing absolute path of file is not supported
referencing absolute path of file is not supported
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openscap (Show other bugs)
6.8
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Martin Preisler
BaseOS QE Security Team
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 05:35 EST by Marek Haicman
Modified: 2017-12-06 06:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1312831 (view as bug list)
Environment:
Last Closed: 2017-12-06 06:27:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Haicman 2016-02-29 05:35:21 EST
Description of problem:
I am not able to reference oval file via absolute path.

xccdf / check / check-content-ref / href is of type anyURI, which is defined in RFC 2396 ( https://www.ietf.org/rfc/rfc2396.txt ). Thus it should support file://<abs-path>

Version-Release number of selected component (if applicable):
openscap-1.2.8-2.el6

How reproducible:
reliably

Steps to Reproduce:
1. reference oval file with absolute path
2. oscap xccdf eval $xccdf

Actual results:
WARNING: Skipping /tmp/tmp.oBlqLIiXmD/file://tmp/tmp.oBlqLIiXmD/oval.xml file which is referenced from XCCDF content

Expected results:
/tmp/tmp.oBlqLIiXmD/oval.xml is used properly

Additional info:
Comment 2 Martin Preisler 2017-01-11 15:59:30 EST
Upstream fix proposed: https://github.com/OpenSCAP/openscap/pull/645
Comment 4 Jan Kurik 2017-12-06 06:27:17 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.